Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Операционные системы » UNIX » Ubuntu

Модерирует : ShriEkeR

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172

Открыть новую тему     Написать ответ в эту тему

ShriEkeR



Moderator
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Предыдущие части ветки: [#2] [#1]



Актуальные версии (список версий Ubuntu|Википедия):
Ubuntu 18.04 LTS* (Bionic Beaver) — выйдет 26 апреля 2018, поддержка до апреля 2023,
Ubuntu 17.10 (Artful Aardvark) — поддержка до июля 2018,
Ubuntu 17.04 (Zesty Zapus) — поддержка до января 2018,
Ubuntu 16.10 (Yakkety Yak) — поддержка до июля 2017,
Ubuntu 16.04.2 LTS* (Xenial Xerus) — поддержка до 21 апреля 2021,
Ubuntu 14.04.5 LTS* (Trusty Tahr) — поддержка до апреля 2019
   *LTS — a long term support version, выпуск с длительной поддержкой

Установочные образы с другие набором предустановленного ПО:
Kubuntu (KDE), Ubuntu GNOME (Гном без Юнити), Xubuntu (Xfce)
Lubuntu (LXDE), Ubuntu MATE (MATE)
Alternative (Альтернативный установщик Ubuntu при проблемах с графикой), и прочие...

Русское сообщество: Wiki, ubuntu.ru, Популярный русскоязычный форум
Англоязычные ресурсы: omgubuntu.co.uk, ubuntuguide.org, ubuntuforums.org
Журнал об Ubuntu: Full Circle Magazine

Чтобы получить русифицированную систему сразу после установки, настройте доступ в интернет перед установкой
Шпаргалка по командам в Ubuntu-образных дистрибутивах
Не удается обновить стандартной процедурой (Update Manager) неактуальный релиз

Ubuntu — это по большей части свободная операционная система, основанная на Debian GNU/Linux, с регулярным выпуском новых релизов (через каждые полгода), ориентацией на пользователя и удобство использования (это должно просто работать™), а также с поддержкой обновлений системы безопасности каждого релиза в течение 18 месяцев после выпуска. Ubuntu поставляется с последним релизом (стабильной версией) Gnome и с такой подборкой программного обеспечения для сервера и рабочей станции, которая позволяет создать удобное рабочее окружение с помощью лишь одного установочного DVD.
 
Обращение Марка Шаттлворта к пользователям.

Всего записей: 6377 | Зарегистр. 27-09-2004 | Отправлено: 18:43 03-05-2011 | Исправлено: cchameleone, 17:01 08-01-2018
ASE_DAG



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
sanb
> посмотрите среди дистров на debian - выбор будет больше
О_о Выбор чего будет больше?
 
> с live cd вряд ли получится установить
Почему же?
 
> сначала swap создайте
Чавой? ;-)
 
3654yes
«Версию» — это в смысле с какой пользовательской средой? Не Юнити, не Гном, не КДЕ точно; LXDE, как советует т. Sanb, может быть уместным выбором.
Это если вы машинку в роли ПК решили использовать, а вообще писали бы, зачем вам она — для какой цели, то бишь.


----------
Dmitry Alexandrov <321942@gmail.com> [PGP] [BTC]

Всего записей: 9272 | Зарегистр. 12-05-2005 | Отправлено: 20:47 28-03-2012 | Исправлено: ASE_DAG, 20:50 28-03-2012
kirill112

Newbie
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
спасибо за предидущие ответы!!!

Всего записей: 6 | Зарегистр. 13-10-2011 | Отправлено: 23:34 28-03-2012
Andrey Petrov



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Ubuntu 10.04
Устанавливаю VMware-Workstation.
 
http://saintist.ru/2009/12/14/ubuntu-ustanovka-vmware-workstation/ здесь советуют:
Ставим пакеты
sudo aptitude install build-essential linux-kernel-headers linux-kernel-devel
Переходим в директорию с дистрибутивом и выполняем
gksudo bash ./VMware-Workstation-Full-7.0.0-203739.i386.bundle
 
Запускаю:
sudo aptitude install build-essential linux-kernel-headers linux-kernel-devel
 
Получаю такое:
Чтение списков пакетов... Готово
Построение дерева зависимостей        
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях      
Инициализация состояний пакетов... Готово          
Запись информации расширенных состояний... Готово
Не удалось найти пакеты, содержащих «linux-kernel-devel» в своём имени или описании
Не удалось найти пакеты, содержащих «linux-kernel-devel» в своём имени или описании
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 4 пакетов не обновлено.
Необходимо получить 0Б архивов. После распаковки 0Б будет занято.
Запись информации расширенных состояний... Готово
Чтение списков пакетов... Готово                                        
Построение дерева зависимостей        
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях      
Инициализация состояний пакетов... Готово  
 
Чего то система не нашла.  
Что сделать, чтоб это нашлось?

Всего записей: 1123 | Зарегистр. 20-01-2006 | Отправлено: 14:27 30-03-2012
ASE_DAG



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Andrey Petrov
> Чего то система не нашла.
linux-kernel-devel она не нашла.
 
> Что сделать, чтоб это нашлось?
Никак. Этот виртуальный пакет выкинули еще в Люсиде. Он вам не нужен.

----------
Dmitry Alexandrov <321942@gmail.com> [PGP] [BTC]

Всего записей: 9272 | Зарегистр. 12-05-2005 | Отправлено: 15:20 30-03-2012
Andrey Petrov



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
ASE_DAG
  Значит ли это, что корректно установить VMware-Workstation не получится?

Всего записей: 1123 | Зарегистр. 20-01-2006 | Отправлено: 16:17 30-03-2012
ASE_DAG



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Andrey Petrov
Ни в коей мере не значит. Как вы из фразы «Он вам не нужен» сделали такой вывод?

----------
Dmitry Alexandrov <321942@gmail.com> [PGP] [BTC]

Всего записей: 9272 | Зарегистр. 12-05-2005 | Отправлено: 16:31 30-03-2012
Andrey Petrov



Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
ASE_DAG
  Вывод я сделал из рекомендации по установке, где пункт:
sudo aptitude install build-essential linux-kernel-headers linux-kernel-devel
был первым. И если с первым пунктом какая-то неувязка, значит точно поступить как советуют не получится.

Всего записей: 1123 | Зарегистр. 20-01-2006 | Отправлено: 16:42 30-03-2012
ASE_DAG



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Andrey Petrov
> из рекомендации по установке
Общий совет в связи с этим будет: по-возможности пользуйтесь инструкциями для тех версий ПО, коими пользуетесь.

----------
Dmitry Alexandrov <321942@gmail.com> [PGP] [BTC]

Всего записей: 9272 | Зарегистр. 12-05-2005 | Отправлено: 16:45 30-03-2012 | Исправлено: ASE_DAG, 16:46 30-03-2012
Frot237



Junior Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
Кто нибудь из разбирающихся, помогите.
Не могу установить virtualbox.
Не получилось установить из репозиториев, хотя сам репозиторий и ключ к нему я прописывал.
Версии из Центра приложений и официального сайта устанавливаются, но не хотят запуститься.
Делал по инструкции: http://www.liberiangeek.net/2012/03/how-to-install-virtualbox-in-ubuntu-and-always-get-the-latest-updates-when-they-become-available/
 
В результате вот что мне выдал терминал:
попытка установки из репозитория

Всего записей: 99 | Зарегистр. 19-12-2009 | Отправлено: 21:39 07-04-2012 | Исправлено: Frot237, 00:53 08-04-2012
Alukardd



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Frot237
Спрячьте эту ужасную простыне в more.
Чем Вас не устроил VBox из репов?
Цитата:
http://download.virtualbox.org precise/non-free amd64
Что это за реп такой? Когды у вас уже есть oneric.
 
Попробуйте выполнить apt-get -f install.
 
Добавлено:
И в конце-концов можете просо скачать deb пакет для вашего дистрибутива и установить его не добавляя себе реп. https://www.virtualbox.org/wiki/Linux_Downloads

----------
Microsoft gives you windows, linuх gives you the whole house...
I've been using Vim for about 4 years now, mostly because I can't figure out how to exit it.

Всего записей: 6213 | Зарегистр. 28-08-2008 | Отправлено: 22:06 07-04-2012
ASE_DAG



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Frot237
> В кэше http://download.virtualbox.org precise/non-free amd64 Packages
> virtualbox-4.1 : Зависит: libc6 (>= 2.15) но 2.13-20ubuntu5.1 будет установлен  
Подключили реп для более новой версии системы, чем у вас стоит, и удивляетесь, что и зависимости тоже требуются более новые, чем доступны?
 
Alukardd
> Попробуйте выполнить apt-get -f install.  
Зачем?

----------
Dmitry Alexandrov <321942@gmail.com> [PGP] [BTC]

Всего записей: 9272 | Зарегистр. 12-05-2005 | Отправлено: 23:18 07-04-2012
Frot237



Junior Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору

Цитата:
Спрячьте эту ужасную простыне в more.  

Прошу прощения, но я понятия не имею как это всё спрятать. Обычно есть Спойлер, но тут я его не нашёл.
Кто нибудь! Подскажите что мне нужно делать. Желательно пошагово.
Я пробовал устанавливать virtualbox не из репозиториев. Ставил с официального сайта.
Скачивал через Синаптик. Через Центр приложений.
Если через репозитории не получилось скачать, то через Синаптик, Центр и офф deb пакет всё получилось. Но они не запускались. Висели в Приложения ==> Стандартные ==> Virtualbox.
Скажите, что да как сделать. Может нужно удалить/закомментировать ненужную строчку в списке с репозиториями?
Буду очень признателен за помощь.
PS Установить виртуальную машину хочу для того чтобы запустить одну старую игрушку. Через Wine и Crossover долгое время пытался, не получилось. Пробовал различные версии игры ( офф и репы ). Не запускалась. Игра называется The lord of the rings The battle for Middle-Earth.
Если кто нибудь хорошо разбирается в Wine или Crossover, может быть сможет мне дать совет с тем чтобы обойтись без Virtualbox?
Что касается Windows. Не хочу на нём работать. Предпочитаю 64 разрядные версии, а в них интересующая мне игрушка тоже не идёт. Архитектура не подходит и режим совместимости не помогает.
Буду рад любым советам.
Спасибо.

Всего записей: 99 | Зарегистр. 19-12-2009 | Отправлено: 23:31 07-04-2012 | Исправлено: Frot237, 23:32 07-04-2012
Alukardd



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
ASE_DAG
я давно apt-get'ом не пользовался не помню что значит "исправить ошибки"...
aptitude так не ругается вроде как... В любом случае плохо в этой команде ни чего нет.
 
Добавлено:
Frot237
Цитата:
Обычно есть Спойлер, но тут я его не нашёл.
тонко намекаю... [more=тут много текста]а вот и сам текст[/more]
В списке репозиториев оставьте только строку для ВАШЕГО дистрибутива. Потом заново выполните apt-get update && apt-get install virtualbox

----------
Microsoft gives you windows, linuх gives you the whole house...
I've been using Vim for about 4 years now, mostly because I can't figure out how to exit it.

Всего записей: 6213 | Зарегистр. 28-08-2008 | Отправлено: 23:34 07-04-2012 | Исправлено: Alukardd, 23:37 07-04-2012
kirill112

Newbie
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Alukardd

Цитата:
Есть одно НО на пути истинном к познаниям. Первая установка почти всегда будет не на долго и вскоре будет переустановлена, однако её надо совершить. И многих знаний (в т.ч и о разметке) до первой установки у человека нету, посему надо что-то дать как отправную точку, можно и без комментариев.

 Вот за эти слова ОГРОМНОЕ спасибо!!!

Всего записей: 6 | Зарегистр. 13-10-2011 | Отправлено: 23:42 07-04-2012
Frot237



Junior Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору
Alukardd
Намёк ясен. Теперь буду по внимательнее. Спасибо.
Хм, у меня прописан только один репозиторий для virtualbox ( deb http://download.virtualbox.org/virtualbox/debian oneiric contrib  )
Что мне с ним сделать? Удалить? А что прописать на его место?
Буду очень признателен за помощь.
 
Добавлено:

Цитата:
Вот за эти слова ОГРОМНОЕ спасибо!!!

Готов установить первый и сто двадцать первый раз. Лишь бы работало. Сам я в этом деле не разберусь.

Всего записей: 99 | Зарегистр. 19-12-2009 | Отправлено: 23:45 07-04-2012 | Исправлено: Frot237, 00:51 08-04-2012
Alukardd



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Frot237
Цитата:
буду по внимательнее
нажмите "реадктировать" на своем вопросе и исправьте текст, добавив тэг more.
 
покажите вывод dpkg -l 'virtualbox*'
Покажите вывод grep -nr virtualbox /etc/apt/

----------
Microsoft gives you windows, linuх gives you the whole house...
I've been using Vim for about 4 years now, mostly because I can't figure out how to exit it.

Всего записей: 6213 | Зарегистр. 28-08-2008 | Отправлено: 23:54 07-04-2012
ASE_DAG



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Frot237
> у меня прописан только один репозиторий для virtualbox ( deb http://download.virtualbox.org/virtualbox/debian oneiric contrib  )  
0. Где прописан?
1. $ apt-cache policy сюда.
2. Так быть и не должно. Должны быть еще (помимо contrib’а) main и non-free.

----------
Dmitry Alexandrov <321942@gmail.com> [PGP] [BTC]

Всего записей: 9272 | Зарегистр. 12-05-2005 | Отправлено: 00:08 08-04-2012
Frot237



Junior Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору

Цитата:
покажите вывод dpkg -l 'virtualbox*'
Покажите вывод grep -nr virtualbox /etc/apt/

 
Итак. Вот что выдаёт терминал по первой команде:
dpkg -l 'virtualbox*'  
 
Добавлено:
А вот что терминал выдаёт по второй команде:
grep -nr virtualbox /etc/apt/  
 
Добавлено:

Цитата:
> у меня прописан только один репозиторий для virtualbox ( deb http://download.virtualbox.org/virtualbox/debian oneiric contrib  )  
0. Где прописан?
1. $ apt-cache policy сюда.
2. Так быть и не должно. Должны быть еще (помимо contrib’а) main и non-free.
 

Прописан здесь: /etc/apt/sources.list
 
1. $ apt-cache policy сюда.   Что Вы имеете ввиду? Что мне нужно сделать?
2. Так быть и не должно. Должны быть еще (помимо contrib’а) main и non-free.  Что мне исправить/переделать?

Всего записей: 99 | Зарегистр. 19-12-2009 | Отправлено: 00:17 08-04-2012 | Исправлено: Frot237, 00:54 08-04-2012
Alukardd



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Frot237
Тэг more вы так и не освоили Ознакомьтесь
 
/etc/apt/sources.list.d/virtualbox.org.list - этот файл судя по всему у Вас лишний, можете удалять...
 
Вам нужно было выполнить команду apt-cache policy - в тэге more, разумеется.
Для начала убрать дублирующуюся запись, либо из файла /etc/apt/sources.list, либо удалить файл /etc/apt/sources.list.d/virtualbox.list.
Далее исправить строку репозитория в оставшемся месте дописав вместо contrib, main contrib non-free.

----------
Microsoft gives you windows, linuх gives you the whole house...
I've been using Vim for about 4 years now, mostly because I can't figure out how to exit it.

Всего записей: 6213 | Зарегистр. 28-08-2008 | Отправлено: 00:31 08-04-2012 | Исправлено: Alukardd, 00:31 08-04-2012
Frot237



Junior Member
Редактировать | Профиль | Сообщение | ICQ | Цитировать | Сообщить модератору

Цитата:
Тэг more вы так и не освоили Ознакомьтесь

Вот такой вот я баран. Каюсь.
 
Вот что по команде:
Подробнее...
 
Попытка обновиться из репозиториев
 
Добавлено:

Цитата:
Для начала убрать дублирующуюся запись, либо из файла /etc/apt/sources.list, либо удалить файл /etc/apt/sources.list.d/virtualbox.list.  

Удалил файл.

Цитата:
Далее исправить строку репозитория в оставшемся месте дописав вместо contrib, main contrib non-free.

Не могли бы Вы по подробнее написать как именно нужно исправить строчки. Дописать ту же строку, только дописать в конце то, о чём Вы говорите или как по другому?
Спасибо.

Всего записей: 99 | Зарегистр. 19-12-2009 | Отправлено: 00:37 08-04-2012 | Исправлено: Frot237, 00:58 08-04-2012
Открыть новую тему     Написать ответ в эту тему

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172

Компьютерный форум Ru.Board » Операционные системы » UNIX » Ubuntu

Имя:
Пароль:
Сообщение

Для вставки имени, кликните на нем.

Опции сообщенияДобавить свою подпись
Подписаться на получение ответов по e-mail
Добавить тему в личные закладки
Разрешить смайлики?
Запретить коды



Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2018

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru

Рейтинг.ru